match: make unionmatcher a proper matcher
ClosedPublic

Authored by martinvonz on Jul 11 2017, 8:01 PM.

Details

Summary

unionmatcher is currently used where only a limited subset of its
functions will be called. Specifically, visitdir() is never
called. The next patch will pass it to dirstate.walk() where it will
matter that visitdir() is correctly implemented, so let's fix
that. Also add the explicitdir etc that will also be assumed by
dirstate.walk() to exist on a matcher.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
martinvonz created this revision.Jul 11 2017, 8:01 PM
dsp accepted this revision.Jul 13 2017, 2:06 PM
This revision is now accepted and ready to land.Jul 13 2017, 2:06 PM
martinvonz updated this revision to Diff 129.Jul 14 2017, 2:47 AM
This revision now requires review to proceed.Jul 14 2017, 2:47 AM
durin42 accepted this revision.Jul 14 2017, 12:25 PM
This revision is now accepted and ready to land.Jul 14 2017, 12:25 PM
This revision was automatically updated to reflect the committed changes.